Page MenuHomePhabricator

decommission db1018
Closed, ResolvedPublic

Description

db1018 has been cloned into db1101, now it can be decommissioned, once it has been depooled and all references to it deleted.

  • - all system services confirmed offline from production use: Removed from mediawiki-config:
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/heira/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.):

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - disable switch port & change switch port label to asset tag
  • - remove production dns entries & remove hostname entries in mgmt dns
  • - puppet node clean, puppet node deactivate, salt key removed

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - remove hostname label, remove hostname from visible label field in racktables (by onsite)
  • - system added back to spares tracking (by onsite)

Event Timeline

jcrespo created this task.Sep 19 2017, 2:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 2:14 PM

Change 378945 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Remove references to db1018

https://gerrit.wikimedia.org/r/378945

Change 378947 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Decommission db1018 and removing references to it

https://gerrit.wikimedia.org/r/378947

Change 378947 merged by Jcrespo:
[operations/puppet@production] mariadb: Decommission db1018 and removing references to it

https://gerrit.wikimedia.org/r/378947

Change 378945 merged by Jcrespo:
[operations/mediawiki-config@master] mariadb: Remove references to db1018

https://gerrit.wikimedia.org/r/378945

Marostegui updated the task description. (Show Details)Sep 25 2017, 4:37 AM
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Triage to Done on the DBA board.
Marostegui edited projects, added ops-eqiad; removed Patch-For-Review.
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Sep 26 2017, 11:27 AM
Cmjohnson updated the task description. (Show Details)Oct 16 2017, 5:33 PM
Cmjohnson moved this task from Decommission to High Priority Task on the ops-eqiad board.
Cmjohnson updated the task description. (Show Details)Oct 30 2017, 2:28 PM

Server has been wiped and removed from rack...racktables updated

Cmjohnson closed this task as Resolved.Oct 30 2017, 2:28 PM